提交 67c1aa5f 编写于 作者: P peng.xu

Merge branch 'branch-0.5.0' into '0.5.0'

#31 - make clang-format failed after run build.sh -l

See merge request megasearch/milvus!759

Former-commit-id: bd36b1c8feae87de7a830e8b91f2c69369063c27
...@@ -28,6 +28,7 @@ Please mark all change in change log and use the ticket from JIRA. ...@@ -28,6 +28,7 @@ Please mark all change in change log and use the ticket from JIRA.
- MS-658 - Fix SQ8 Hybrid can't search - MS-658 - Fix SQ8 Hybrid can't search
- \#20 - C++ sdk example get grpc error - \#20 - C++ sdk example get grpc error
- \#23 - Add unittest to improve code coverage - \#23 - Add unittest to improve code coverage
- \#31 - make clang-format failed after run build.sh -l
## Improvement ## Improvement
- MS-552 - Add and change the easylogging library - MS-552 - Add and change the easylogging library
......
...@@ -91,6 +91,10 @@ fi ...@@ -91,6 +91,10 @@ fi
cd ${BUILD_OUTPUT_DIR} cd ${BUILD_OUTPUT_DIR}
# remove make cache since build.sh -l use default variables
# force update the variables each time
make rebuild_cache
CMAKE_CMD="cmake \ CMAKE_CMD="cmake \
-DBUILD_UNIT_TEST=${BUILD_UNITTEST} \ -DBUILD_UNIT_TEST=${BUILD_UNITTEST} \
-DCMAKE_INSTALL_PREFIX=${INSTALL_PREFIX} -DCMAKE_INSTALL_PREFIX=${INSTALL_PREFIX}
...@@ -115,7 +119,6 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then ...@@ -115,7 +119,6 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
make lint make lint
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "ERROR! cpplint check failed" echo "ERROR! cpplint check failed"
rm -f CMakeCache.txt
exit 1 exit 1
fi fi
echo "cpplint check passed!" echo "cpplint check passed!"
...@@ -124,7 +127,6 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then ...@@ -124,7 +127,6 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
make check-clang-format make check-clang-format
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "ERROR! clang-format check failed" echo "ERROR! clang-format check failed"
rm -f CMakeCache.txt
exit 1 exit 1
fi fi
echo "clang-format check passed!" echo "clang-format check passed!"
...@@ -133,12 +135,9 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then ...@@ -133,12 +135,9 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
# make check-clang-tidy # make check-clang-tidy
# if [ $? -ne 0 ]; then # if [ $? -ne 0 ]; then
# echo "ERROR! clang-tidy check failed" # echo "ERROR! clang-tidy check failed"
# rm -f CMakeCache.txt
# exit 1 # exit 1
# fi # fi
# echo "clang-tidy check passed!" # echo "clang-tidy check passed!"
rm -f CMakeCache.txt
else else
# compile and build # compile and build
make -j 4 || exit 1 make -j 4 || exit 1
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册